/*
Теоретичні питання:

1. Опишіть своїми словами як працює метод forEach.
  Метод forEach дає змогу послідовно перебрати всі елементи масиву. Метод в параметрі отрумує функцію, яка виконається для кожного елемента масиву. В цю функцію можна передати 3 параметри – елемент, індекс, масив.
2. Як очистити масив?
  Присвоїти масиву пусті квадратні дужки або конструктор Array(). Можна також присвоїти властивості масиву, а саме довжині, значення 0.
3. Як можна перевірити, що та чи інша змінна є масивом?
  Метод isArray() повертає true – це масив, повертає false – не є масивом.
*/

/*
Реалізувати функцію фільтру масиву за вказаним типом даних. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
Написати функцію filterBy(), яка прийматиме 2 аргументи. Перший аргумент - масив, який міститиме будь-які дані, другий аргумент - тип даних.
Функція повинна повернути новий масив, який міститиме всі дані, які були передані в аргумент, за винятком тих, тип яких був переданий другим аргументом. Тобто якщо передати масив ['hello', 'world', 23, '23', null], і другим аргументом передати 'string', то функція поверне масив [23, null].
*/

function filterBy(array, type) {
  return array.filter(el => typeof el !== type);
}

let myArray = ['hello', 'world', 23, '23', null];
let myFilter = filterBy(myArray, "string");
console.log(myFilter);